// =====================================
// HE Tennis v0.1 2010-01-12 SvaRoX
// HE Tennis B2   2013-10-20 JRandomNoob
// HE Tennis B3   2018-09-15 JRandomNoob
// =====================================



textures/ut4_he_tennis_b3/sky
{
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	noPicMip
	noMipMaps

	q3map_lightsubdivide 768
	q3map_backsplash 0 0
//	q3map_sunExt red green blue		intensity	degrees elevation	deviance samples
	q3map_sunExt 1 1 0.925		2048		120 25	1 16

	skyparms env/algiers/algierssky - -
}



textures/ut4_he_tennis_b3/fog
{
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( 0.7 0.7 0.7 ) 2048
}



// custom versions of weapclip to make correct effects and bullet
// holes appear on the surfaces under the clip
// (one downside: because I've defined surfacesounds here, you can't
// filter these clips out in the editor)

textures/ut4_he_tennis_b3/cementclip
{
	qer_editorimage textures/common/weapclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm cement
}

textures/ut4_he_tennis_b3/metalclip
{
	qer_editorimage textures/common/weapclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm steel
}

textures/ut4_he_tennis_b3/glassclip
{
	qer_editorimage textures/common/weapclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm glass
}



textures/ut4_he_tennis_b3/alpha_0
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.6
}

textures/ut4_he_tennis_b3/alpha_1
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.6
}



// alphaMod 0shows the first texture, 1 the second
textures/ut4_he_tennis_b3/floor_qer
{
	{
		map textures/ut4_he_tennis_b3/floor_edge.tga
	}
	{
		map textures/ut4_he_tennis_b3/floor.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
	}
}



textures/ut4_he_tennis_b3/floor:q3map
{
	surfaceparm cement
	{
		map textures/ut4_he_tennis_b3/floor_bounce.tga // nicer color splash
	}
	{
		map $lightmap
		blendFunc filter
	}
}



ut4_he_tennis_b3/wall
{
	q3map_lightmapSampleOffset 2
	surfaceparm cement
	{
		map textures/ut4_he_tennis_b3/wall.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}


textures/ut4_he_tennis_b3/wall_nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_he_tennis_b3/wall.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}



textures/ut4_he_tennis_b3/painted_metal_nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_he_tennis_b3/painted_metal.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}



textures/ut4_he_tennis_b3/doorframe_nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_he_tennis_b3/doorframe.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}



textures/ut4_he_tennis_b3/doorframe_bottom_nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_he_tennis_b3/doorframe_bottom.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}



// :q3map version (must be placed first) is only used by the compiler;
// the second, affix-less version is loaded in the game

textures/ut4_he_tennis_b3/windows_lit:q3map
{
	qer_editorimage textures/ut4_he_tennis_b3/windows
// qer_editorimage, oddly, affects the bounce, giving nicer lighting
// fucking compiler lol
	surfaceparm glass
// (and commenting out nolightmap makes the lighting lighter and whiter)
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_he_tennis_b3/trans.tga
		alphaFunc GE128
	}
}

textures/ut4_he_tennis_b3/windows_lit
{
	surfaceparm glass
// ...and enabling lightmaps makes the lighting lighter and whiter?!?
	surfaceparm nolightmap
	{
		map textures/ut4_he_tennis_b3/windows.tga
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
	{
		map textures/ut4_he_tennis_b3/windows_overlay.tga
		blendfunc GL_DST_COLOR GL_ONE
//		blendfunc GL_ONE GL_ONE
	}
}



textures/ut4_he_tennis_b3/glass
{
	qer_trans 0.5
	surfaceparm glass
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut4_he_tennis_b3/glass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}



textures/ut4_he_tennis_b3/dswp_blue
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_he_tennis_b3/dswp_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen vertex 
	}
}



textures/ut4_he_tennis_b3/dswp_red
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_he_tennis_b3/dswp_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen vertex 
	}
}



textures/ut4_he_tennis_b3/splodey
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_he_tennis_b3/splodey.tga
		alphaFunc GE128
		rgbGen vertex
		blendfunc blend
	}
}



textures/ut4_he_tennis_b3/svarox
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/ut4_he_tennis_b3/svarox.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
